<h1> Welcome to {{ title | titlecase }} </h1>
<div class="count">
  <span>{{count | number}}</span>
  <input type="range" name="count" 
      [(ngModel)]="count" (change)="onUpdate()" 
      [min]="0" [max]="25" />
</div>


<table>
  <thead>
    <tr>
      <th>#</th>
      <th>Name</th>
      <th>Price</th>
      <th>In Stock</th>
      <th>Service</th>
      <th>Updated</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let p of products; let row=index">
      <td>{{row+1}}</td>
      <td>{{p.name | titlecase}}</td>
      <td>{{p.price | kr}}</td>
      <td>{{p.itemsInStock | number:'1.0-0'}}</td>
      <td>{{p.isService ? 'Yes': 'No'}}</td>
      <td>{{p.lastUpdated | date:'yyyy-MM-dd'}}</td>
    </tr>
  </tbody>
</table>

<hr />
<pre> {{products | json}} </pre>
